<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'en_us_k12', version '3.9'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'Assigning role \'{$a->role_shortname}\' to user \'{$a->user_username}\' into class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['assignrolefailed'] = 'Failed to assign role \'{$a->role_shortname}\' to user \'{$a->user_username}\' into class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['autocreate'] = '<p>Classes can be created automatically if there are enrollments to a class that doesn\'t yet exist in Moodle</p><p>If you are using automatic class creation, it is recommended that you remove the following capabilities: moodle/class:changeidnumber, moodle/class:changeshortname, moodle/class:changefullname and moodle/class:changesummary, from the relevant roles to prevent modifications of the four class fields specified above (ID number, shortname, fullname and summary).</p>';
$string['autocreation_settings'] = 'Automatic class creation settings';
$string['autoupdate_settings'] = 'Automatic class update settings';
$string['cannotcreatecourse'] = 'Cannot create class: missing required data from the LDAP record!';
$string['cannotupdatecourse'] = 'Cannot update class: missing required data from the LDAP record! Class idnumber: \'{$a->idnumber}\\';
$string['cannotupdatecourse_duplicateshortname'] = 'Cannot update class: Duplicate short name. Skipping class with idnumber \'{$a->idnumber}\'...';
$string['category'] = 'The category for auto-created classes';
$string['course_idnumber'] = 'LDAP attribute to get the class ID number from. Usually \'cn\' or \'uid\'.';
$string['course_settings'] = 'Class enrollment settings';
$string['coursenotexistskip'] = 'Class \'{$a}\' does not exist and autocreation disabled, skipping';
$string['courseupdated'] = 'Class with idnumber \'{$a->idnumber}\' was successfully updated.';
$string['courseupdateskipped'] = 'Class with idnumber \'{$a->idnumber}\' does not require updating. Skipping...';
$string['createcourseextid'] = 'CREATE User enrolled to a nonexistant class \'{$a->courseextid}\\';
$string['createnotcourseextid'] = 'User enrolled to a nonexistant class \'{$a->courseextid}\\';
$string['creatingcourse'] = 'Creating class \'{$a}\'...';
$string['duplicateshortname'] = 'Class creation failed. Duplicate short name. Skipping class with idnumber \'{$a->idnumber}\'...';
$string['emptyenrolment'] = 'Empty enrollment for role \'{$a->role_shortname}\' in class \'{$a->course_shortname}\'';
$string['enroluser'] = 'Enroll user \'{$a->user_username}\' into class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['enroluserenable'] = 'Enabled enrollment for user \'{$a->user_username}\' in class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extcourseidinvalid'] = 'The class external id is invalid!';
$string['extremovedsuspend'] = 'Disabled enrollment for user \'{$a->user_username}\' in class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedsuspendnoroles'] = 'Disabled enrollment and removed roles for user \'{$a->user_username}\' in class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedunenrol'] = 'Unenroll user \'{$a->user_username}\' from class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['objectclass'] = 'objectClass used to search classes. Usually \'group\' or \'posixGroup\\';
$string['objectclass_key'] = 'Object class';
$string['pluginname_desc'] = '<p>You can use an LDAP server to control your enrollments. It is assumed your LDAP tree contains groups that map to the classes, and that each of those groups/classes will have membership entries to map to students.</p><p>It is assumed that classes are defined as groups in LDAP, with each group having multiple membership fields (<em>member</em> or <em>memberUid</em>) that contain a unique identification of the user.</p><p>To use LDAP enrollment, your users <strong>must</strong> have a valid idnumber field. The LDAP groups must have that idnumber in the member fields for a user to be enrolled in the class. This will usually work well if you are already using LDAP Authentication.</p><p>Enrollments will be updated when the user logs in. You can also run a script to keep enrollments in synch. Look in <em>enroll/ldap/cli/sync.php</em>.</p><p>This plugin can also be set to automatically create new classes when new groups appear in LDAP.</p>';
$string['role_mapping'] = '<p>For each role that you want to assign from LDAP, you need to specify the list of contexts where the role classes\'s groups are located. Separate different contexts with \';\'.</p><p>You also need to specify the attribute your LDAP server uses to hold the members of a group. Usually \'member\' or \'memberUid\'</p>';
$string['synccourserole'] = '== Synching class \'{$a->idnumber}\' for role \'{$a->role_shortname}\'';
$string['template'] = 'Optional: auto-created classes can copy their settings from a template class';
$string['unassignrole'] = 'Unassigning role \'{$a->role_shortname}\' to user \'{$a->user_username}\' from class \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignrolefailed'] = 'Failed to unassign role \'{$a->role_shortname}\' to user \'{$a->user_username}\' from class \'{$a->course_shortname}\' (id {$a->course_id})';
