<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_uploadcourse', language 'en_us_k12', version '3.9'.
 *
 * @package     tool_uploadcourse
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['cannotdeletecoursenotexist'] = 'Cannot delete a class that does not exist';
$string['cannotrenamecoursenotexist'] = 'Cannot rename a class that does not exist';
$string['cannotrenameidnumberconflict'] = 'Cannot rename the class, the ID number conflicts with an existing class';
$string['cannotrenameshortnamealreadyinuse'] = 'Cannot rename the class, the shortname is already used';
$string['canonlyrenameinupdatemode'] = 'Can only rename a class when update is allowed';
$string['canonlyresetcourseinupdatemode'] = 'Can only reset a class in update mode';
$string['coursecreated'] = 'Class created';
$string['coursedeleted'] = 'Class deleted';
$string['coursedeletionnotallowed'] = 'Class deletion is not allowed';
$string['coursedoesnotexistandcreatenotallowed'] = 'The class does not exist and creating class is not allowed';
$string['courseexistsanduploadnotallowed'] = 'The class exists and update is not allowed';
$string['courseidnumberincremented'] = 'Class ID number incremented {$a->from} -> {$a->to}';
$string['courseprocess'] = 'Class process';
$string['courserenamed'] = 'Class renamed';
$string['courserenamingnotallowed'] = 'Class renaming is not allowed';
$string['coursereset'] = 'Class reset';
$string['courseresetnotallowed'] = 'Class reset now allowed';
$string['courserestored'] = 'Class restored';
$string['coursescreated'] = 'Classes created: {$a}';
$string['coursesdeleted'] = 'Classes deleted: {$a}';
$string['courseserrors'] = 'Classes errors: {$a}';
$string['courseshortnamegenerated'] = 'Class shortname generated: {$a}';
$string['courseshortnameincremented'] = 'Class shortname incremented {$a->from} -> {$a->to}';
$string['coursestotal'] = 'Classes total: {$a}';
$string['coursesupdated'] = 'Classes updated: {$a}';
$string['coursetemplatename'] = 'Restore from this class after upload';
$string['coursetemplatename_help'] = 'Enter an existing class shortname to use as a template for the creation of all classes.';
$string['coursetorestorefromdoesnotexist'] = 'The class to restore from does not exist';
$string['courseupdated'] = 'Class updated';
$string['createnew'] = 'Create new classes only, skip existing ones';
$string['createorupdate'] = 'Create new classes, or update existing ones';
$string['defaultvalues'] = 'Default class values';
$string['errorwhiledeletingcourse'] = 'Error while deleting the class';
$string['errorwhilerestoringcourse'] = 'Error while restoring the class';
$string['idnumberalreadyinuse'] = 'ID number already used by a class';
$string['invalidcourseformat'] = 'Invalid class format';
$string['mode_help'] = 'This allows you to specify if classes can be created and/or updated.';
$string['pluginname'] = 'Class upload';
$string['reset'] = 'Reset class after upload';
$string['reset_help'] = 'Whether to reset the class after creating/updating it.';
$string['shortnametemplate_help'] = 'The short name of the class is displayed in the navigation. You may use template syntax here (%f = fullname, %i = idnumber), or enter an initial value that is incremented.';
$string['templatefile_help'] = 'Select a file to use as a template for the creation of all classes.';
$string['updatemode_help'] = 'If you allow classes to be updated, you also have to tell the tool what to update the classes with.';
$string['updateonly'] = 'Only update existing classes';
$string['uploadcourses'] = 'Upload classes';
$string['uploadcourses_help'] = 'Classes may be uploaded via text file. The format of the file should be as follows:

* Each line of the file contains one record
* Each record is a series of data separated by commas (or other delimiters)
* The first record contains a list of fieldnames defining the format of the rest of the file
* Required fieldnames are shortname, fullname, and category';
$string['uploadcoursespreview'] = 'Upload classes preview';
$string['uploadcoursesresult'] = 'Upload classes results';
